<template>
  <div class="popover_murren_click">
    <div class="popover_murren_click-action" @click="createTestBattle">
      Атаковать
    </div>
    <div class="popover_murren_click-action">Шепнуть</div>
    <div class="popover_murren_click-action">Пригласить</div>
  </div>
</template>

<script>
import "./scss/popover-murren-click.scss";
export default {
  name: "PopoverMurrenClick",
  props: {
    idOfClickedMurren: {
      required: true,
      type: Number,
    },
    tavernSocket: {
      type: WebSocket,
      required: false,
    },
    nameOfClickedMurren: {
      required: true,
      type: String,
    },
  },
  methods: {
    createTestBattle() {
      const murrChatName = `${this.nameOfClickedMurren}_${
        this.$store.getters.currentMurren.username
      }_${Date.now()}`;
      this.tavernSocket.send(
        JSON.stringify({
          data: {
            murr_chat_name: murrChatName,
            murrens_ids_to_add_in_chat: [this.idOfClickedMurren],
          },
          gan: "create_murr_chat",
        })
      );
    },
  },
};
</script>
